Method: projects.locations.instances.upgrade

将笔记本实例升级到最新版本。

HTTP 请求

POST https://notebooks.googleapis.com/v2/{name}:upgrade

路径参数

参数
name

string

必需。格式:projects/{projectId}/locations/{location}/instances/{instanceId}

必须对指定的资源 name 具有以下 IAM 权限才能进行授权:

  • notebooks.instances.upgrade

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{
  "imageFamily": string
}
字段
imageFamily

string

可选。要升级到的 Compute Engine 映像系列资源名称。格式:projects/{projectId}/global/images/family/{imageFamily} 如果指定,实例将升级为指定映像系列中的最新映像,从而允许跨映像系列进行升级。如果未指定,实例将升级到其当前映像系列中的最新映像。

响应正文

如果成功,则响应正文包含一个 Operation 实例。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

如需了解详情,请参阅 Authentication Overview。